# Copyright (C) 2005 Okada Jun All rights reserved.
#
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions are 
# met: 
#
# 1. Redistributions of source code must retain the above copyright 
#    notice, this list of conditions and the following disclaimer 
#    as the first lines of this file unmodified.
#
# 2. Redistributions in  binary form must reproduce the above copyright 
#    notice, this list of conditions and the following disclaimer in the 
#   documentation and/or other materials provided with the distribution. 
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, 
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
# POSSIBILITY OF SUCH DAMAGE.

module MessageBox
  MB_OK = 0x0000000; 
  MB_OKCANCEL = 0x0000001; 
  MB_ABORTRETRYIGNORE = 0x0000002; 
  MB_YESNOCANCEL = 0x0000003; 
  MB_YESNO = 0x0000004; 
  MB_RETRYCANCEL = 0x0000005; 
  
  MB_ICONHAND = 0x0000010; 
  MB_ICONQUESTION = 0x0000020; 
  MB_ICONEXCLAMATION = 0x0000030; 
  MB_ICONASTERISK = 0x0000040; 
  
  MB_APPLMODAL = 0x0000000; 
  MB_SYSTEMMODAL = 0x0001000; 
  MB_TASKMODAL = 0x0002000; 
  
  MB_SETFOREGROUND = 0x0010000; 
  
  IDOK = 1;          	ID_OK = IDOK;
  IDCANCEL = 2;      	ID_CANCEL = IDCANCEL;
  IDABORT = 3;       	ID_ABORT = IDABORT;
  IDRETRY = 4;       	ID_RETRY = IDRETRY;
  IDIGNORE = 5;      	ID_IGNORE = IDIGNORE;
  IDYES = 6;         	ID_YES = IDYES;
  IDNO = 7;          	ID_NO = IDNO;
  
  :module_function

  def messageBox(text, caption, type = MB_OK)
    messagebox = Win32API.new('user32', 'MessageBox', %w(p p p i), 'i')
    messagebox.call(0, text, caption, type)
  end
end


    
